<template name="logPage">
  {{#unless privileged}}
    <h1>PLZ login as admin!</h1>
  {{else}}
    <div class="page-component">
      <div class="js-search-field">
        <div class="input-group">
          <span class="input-group-text">ID</span>
          <input class="js-rel-input js-update-url form-control" type="text" value="{{relFilter}}"
                 placeholder="Pw8HSnHtjErhPfCaa, f59a1e7855" />
        </div>
        <div class="input-group">
          <span class="input-group-text">Track</span>
          <input class="js-tr-input js-update-url form-control" type="text" value="{{trFilter}}"
                 placeholder="Profile.Region" />
        </div>
        <div class="input-group">
          <span class="input-group-text">Date</span>
          <input class="js-date-input js-update-url form-control" type="text" value="{{date}}"
                 placeholder="YYYY-MM-DD hh:mm:ss" />
        </div>
      </div>
    </div>
    <div class="page-component log-pane">
      {{#unless Template.subscriptionsReady}}
        <div class="loading">
          <h1>
            <marquee>&nbsp;&nbsp;&nbsp;LOADING! BE PATIENT! ENJOY THE SUN!</marquee>
          </h1>
        </div>
      {{/unless}}
      <table class="table">
        <tr>
          <th>ID</th>
          <th>Track</th>
          <th>Timestamp</th>
          <th>Rel</th>
          <th>Body</th>
        </tr>
        {{#each results}}
          {{> logEntry}}
        {{else}}
          {{#if Template.subscriptionsReady}}
            <tr>
              <td>Nothing found.</td>
            </tr>
          {{/if}}
        {{/each}}
      </table>

      {{#if hasMore}}
        <div class="text-center">
          <button type="button" class="btn btn-success js-more">
            Show more
          </button>
        </div>
      {{/if}}
    </div>
  {{/unless}}
</template>

<template name="logEntry">
  <tr>
    {{#if interval}}
      <td></td>
      <td></td>
      <td colspan="3" style="color: gray">{{interval}}</td>
    {{else}}
      <td>{{#with _id}}<a class="js-rel-id id clickable"
             title="{{this}}">{{shortId this}}</a>{{/with}}
      </td>
      <td>{{#with tr}}<a class="js-tr id clickable">{{this}}</a>{{/with}}</td>
      <td>{{#with ts}}<a class="js-date clickable nowrap">{{isodate this}}</a>{{/with}}</td>
      <td class="nowrap">
        {{#each rel}}
          <a class="js-rel-id id clickable nowrap" title="{{this}}">{{shortId this}}</a>
        {{/each}}
      </td>
      <td>
        {{#if expanded}}
          <pre class="js-collapse">{{jsonFull}}</pre>
        {{else}}
          <div class="js-expand nowrap">{{jsonBody}}</div>
        {{/if}}
      </td>
    {{/if}}
  </tr>
</template>
